package com.sooka.sponest.mobile.data.digitalforestController;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalforest.domain.GridLevelVo;
import com.sooka.sponest.data.api.digitalforest.service.RemoteGirldLevelService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppGridLevelController")
public class GridLevelController {


    @Resource
    RemoteGirldLevelService remoteGirldLevelService;

    /**
     * 获取林业网格
     *
     * @param centerdataTForestGridLevel
     * @return
     */
    @GetMapping("/gridLevel/list")
    public AjaxResult gridLevelList(GridLevelVo centerdataTForestGridLevel) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String name = centerdataTForestGridLevel.getName();
        String forestGridLevel = "1";
        return remoteGirldLevelService.gridLevelList(pageNum, pageSize, name,forestGridLevel);

    }

    /**
     * 获取林业网格详情
     *
     * @param
     * @return
     */
   /* @GetMapping("/gridLevel/putCesspitCollect")
    public AjaxResult gridLevelEdit(String id) {
        return remoteGirldLevelService.gridLevelEdit(id);
    }*/

    /**
     * 新增林业网格
     *
     * @param centerdataTForestGridLevel
     * @return
     */
  /*  @PostMapping("/gridLevel")
    public AjaxResult gridLevel(@RequestBody CenterdataTForestGridLevel centerdataTForestGridLevel) {
        return remoteGirldLevelService.addGridLevel(centerdataTForestGridLevel);
    }*/

    /**
     * 修改林业网格
     *
     * @param centerdataTForestGridLevel
     * @return
     */
    /*@PostMapping("/gridLevel/put")
    public AjaxResult putGridLevel(@RequestBody CenterdataTForestGridLevel centerdataTForestGridLevel) {
        return remoteGirldLevelService.putGridLevel(centerdataTForestGridLevel);
    }*/

    /**
     * 删除林业网格
     *
     * @param
     * @return
     */
   /* @GetMapping("/gridLevel/del")
    public AjaxResult delGridLevel(@RequestParam("id") List<String> id) {
        return remoteGirldLevelService.delGridLevel(id.toArray(new String[0]));
    }*/
}
