package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppTBusDept;
import com.sooka.sponest.mobile.data.emergency.domain.AppTBusDeptVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteBusDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/busdept")
public class AppTBusDeptController {

    @Autowired
    private RemoteBusDeptService busDeptService;


    @PostMapping("/add")
    public AjaxResult add(@RequestBody AppTBusDeptVO deptList) {
        deptList.getDeptList().forEach(item->{
            busDeptService.insertTBusDept(item);
        });
        return AjaxResult.success();
    }
}
