package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppTeamVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteTeamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/AppTeamController")
public class AppTeamController {


    @Autowired
    private RemoteTeamService teamService;

    @GetMapping("/getTeamList")
    public AjaxResult getTeamList(AppTeamVO vo){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return teamService.getTeamList(pageNum, pageSize);
    }
}
