package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppXungengVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteXungengService;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyPatrolrecord;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/AppXungengController")
public class AppXungengController {

    @Autowired
    private RemoteXungengService xungengService;



    @RequestMapping("getXungengInfo")
    public AjaxResult getXungengInfo(AppXungengVO vo){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String busPatrolstationId = vo.getBusPatrolstationId();
        return xungengService.getXungengInfo(pageNum, pageSize, busPatrolstationId);
    }


    /*
    * 添加巡更记录
    *
    * @author 韩福成
    * @date 2025/2/25 下午2:27
    */
    @PostMapping("/doXungeng")
    public AjaxResult doXungeng(@RequestBody AppXungengVO vo) {
        return xungengService.doXungeng(vo);
    }

    /*
     * 添加巡更点位
     *
     * @author 韩福成
     * @date 2025/2/25 上午10:46
     */
    @PostMapping("addXungengPoint")
    public AjaxResult addXungengPoint(@RequestBody CentereventTEmergencyPatrolrecord vo){
        return xungengService.addXungengPoint(vo);
    }
}
