package com.sooka.sponest.mobile.data.emergency.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 业务部门对象 t_bus_dept
 *
 * @author ruoyi
 * @date 2022-11-15
 */
public class AppTBusDept extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 部门主键
     */
    @Excel(name = "部门主键")
    private String busDeptId;

    /**
     * 日志ID
     */
    @Excel(name = "日志ID")
    private String busLogId;

    /**
     * 部门ID
     */
    @Excel(name = "部门ID")
    private Long deptId;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    private Long userId;

    /**
     * 部门类型
     */
    @Excel(name = "部门类型")
    private String deptType;

    public void setBusDeptId(String busDeptId) {
        this.busDeptId = busDeptId;
    }

    public String getBusDeptId() {
        return busDeptId;
    }

    public void setBusLogId(String busLogId) {
        this.busLogId = busLogId;
    }

    public String getBusLogId() {
        return busLogId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setDeptType(String deptType) {
        this.deptType = deptType;
    }

    public String getDeptType() {
        return deptType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("busDeptId", getBusDeptId())
                .append("busLogId", getBusLogId())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createTime", getCreateTime())
                .append("deptType", getDeptType())
                .toString();
    }
}
