package com.sooka.sponest.mobile.data.emergency.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进度对象 t_bus_track
 *
 * @author ruoyi
 * @date 2022-11-15
 */
public class AppTBusTrack extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 进度ID */
    @Excel(name = "进度ID")
    private String busTrackId;

    /** 日志ID */
    @Excel(name = "日志ID")
    private String busLogId;

    /** 巡检ID */
    @Excel(name = "巡检ID")
    private String busInspectionId;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 状态 */
    @Excel(name = "状态")
    private String riskStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String busTrackContent;

    String nickName;
    String riskStatusStr;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getRiskStatusStr() {
        return riskStatusStr;
    }

    public void setRiskStatusStr(String riskStatusStr) {
        this.riskStatusStr = riskStatusStr;
    }

    public void setBusTrackId(String busTrackId)
    {
        this.busTrackId = busTrackId;
    }

    public String getBusTrackId()
    {
        return busTrackId;
    }
    public void setBusLogId(String busLogId)
    {
        this.busLogId = busLogId;
    }

    public String getBusLogId()
    {
        return busLogId;
    }
    public void setBusInspectionId(String busInspectionId)
    {
        this.busInspectionId = busInspectionId;
    }

    public String getBusInspectionId()
    {
        return busInspectionId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setRiskStatus(String riskStatus)
    {
        this.riskStatus = riskStatus;
    }

    public String getRiskStatus()
    {
        return riskStatus;
    }
    public void setBusTrackContent(String busTrackContent)
    {
        this.busTrackContent = busTrackContent;
    }

    public String getBusTrackContent()
    {
        return busTrackContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("busTrackId", getBusTrackId())
            .append("busLogId", getBusLogId())
            .append("busInspectionId", getBusInspectionId())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("riskStatus", getRiskStatus())
            .append("busTrackContent", getBusTrackContent())
            .append("createTime", getCreateTime())
            .toString();
    }
}
