package com.sooka.sponest.mobile.data.emergency.feign.factory;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteZhenggaijinduService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @Author LG
 * @Date 2023/9/6 - 15:40
 */
public class RemoteZhenggaijinduFallbackFactory implements FallbackFactory<RemoteZhenggaijinduService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteZhenggaijinduFallbackFactory.class);


    @Override
    public RemoteZhenggaijinduService create(Throwable cause) {

        log.error("应急-企业报错:{}", cause.getMessage());
        return  new RemoteZhenggaijinduService() {

            @Override
            public AjaxResult getZhenggaijinduList(String busInspectionId) {
                return null;
            }
        };
    }
}
