package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteNoticeServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "AppRemoteNoticeService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteNoticeServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteNoticeService {
    @GetMapping("/AppNoticeController/getNotice")
    AjaxResult noticlist(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize")Integer pageSize);
}
