package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteIndexServiceFallbackFactory;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteXunchaServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "RemoteXunchaService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteXunchaServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteXunchaService {
    @GetMapping("/AppXunchaController/getXunchaList")
    AjaxResult getXunchaList(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize, @RequestParam("busEnterpriseId") String busEnterpriseId, @RequestParam("busEnterpriseName") String busEnterpriseName);
}
