package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteZhenggaijinduFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author LG
 * @Date 2023/9/6 - 15:39
 */
@FeignClient(
        contextId = "AppRemoteZhenggaijinduService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteZhenggaijinduFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteZhenggaijinduService {

    @GetMapping("/AppZhenggaijinduController/getZhenggaijindu")
    AjaxResult getZhenggaijinduList(@RequestParam("busInspectionId") String busInspectionId);

}
