package com.sooka.sponest.mobile.data.generalbusiness;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.IdUtils;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.sooka.sponest.data.api.generalbusiness.domain.AppLeaveBo;
import com.sooka.sponest.data.api.generalbusiness.service.RemoteGeneralbusinessService;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppLeaveController")
public class AppLeaveController {

    @Resource
    RemoteGeneralbusinessService remoteDataBaseService;

    /**
     * 手机端添加请假
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/2/21 16:27
     */
    @ApiOperation(value = "添加请假", notes = "添加请假")
    @PostMapping("addLeave")
    public AjaxResult addLeave(@RequestBody AppLeaveBo bo) {
            bo.setForestLeaveStatus("app_leave_1");
            return remoteDataBaseService.addLeave(bo);
    }

}
