package com.sooka.sponest.mobile.data.other.controller;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.digitalagriculture.domain.VisuBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteEventBaseService;
import com.sooka.sponest.mobile.remoteapi.domain.CenterdataTForestWaterintake;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;


@RestController
@RequestMapping("/waterController")
public class waterController extends VisuBaseService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;
    @Resource
    RemoteEventBaseService remoteEventBaseService;
    @PostMapping("/waterintake")
    public AjaxResult insert(@RequestBody CenterdataTForestWaterintake centerdataTForestWaterintake) {
        return remoteDataBaseService.insert(centerdataTForestWaterintake);
    }

    /**
     * 获取火灾蔓延详细信息
     */
    @GetMapping("/getFireSpreadInfo")
    public AjaxResult getFireSpreadInfo() {
        return AjaxResult.success(remoteEventBaseService.getFireSpreadInfo());
    }

    /**
     * 插入火灾蔓延信息
     * @param
     * @return
     */
    @PostMapping( "/spread")
    public AjaxResult add(@RequestBody String json) {
        return remoteEventBaseService.addspread(json);
    }

}
