package com.sooka.sponest.mobile.emergency.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业对应行业对象 centerdata_t_emergency_enterindesmap
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CenterdataTEmergencyEnterindesmap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 数据状态(1-可用 2-不可用 ) */
    @Excel(name = "数据状态(1-可用 2-不可用 )")
    private String dataStatus;

    /** 企业id */
    @Excel(name = "企业id")
    private String enterpriseId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 行业id */
    @Excel(name = "行业id")
    private String inspectiontypeId;

    /** 行业名称 */
    @Excel(name = "行业名称")
    private String inspectiontypeName;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }
    public void setEnterpriseId(String enterpriseId)
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId()
    {
        return enterpriseId;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setInspectiontypeId(String inspectiontypeId)
    {
        this.inspectiontypeId = inspectiontypeId;
    }

    public String getInspectiontypeId()
    {
        return inspectiontypeId;
    }
    public void setInspectiontypeName(String inspectiontypeName)
    {
        this.inspectiontypeName = inspectiontypeName;
    }

    public String getInspectiontypeName()
    {
        return inspectiontypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dataStatus", getDataStatus())
            .append("enterpriseId", getEnterpriseId())
            .append("enterpriseName", getEnterpriseName())
            .append("inspectiontypeId", getInspectiontypeId())
            .append("inspectiontypeName", getInspectiontypeName())
            .toString();
    }
}
