package com.sooka.sponest.mobile.emergency.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 企业信息对象 centerdata_t_emergency_enterprise
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CenterdataTEmergencyEnterprise extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    /** 主键ID */
    private String id;

    /** 删除人 */
    @Excel(name = "删除人")
    private String deleteBy;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String name;

    /** 生产经营单位经营地址 */
    @Excel(name = "生产经营单位经营地址")
    private String enterpriseAddress;

    /** 生产经营单位办公地址 */
    @Excel(name = "生产经营单位办公地址")
    private String enterpriseWorkaddress;

    /** 组织机构代码 */
    @Excel(name = "组织机构代码")
    private String organizationCode;

    /** 所属部门id */
    @Excel(name = "所属部门id")
    private Long deptId;
    @Override
    public Long getDataDeptId() {
        return dataDeptId;
    }

    @Override
    public void setDataDeptId(Long dataDeptId) {
        this.dataDeptId = dataDeptId;
    }

    private Long dataDeptId;
    /** 所属部门名称 */
    @Excel(name = "所属部门名称")
    private String deptName;

    /** 主要负责人 */
    @Excel(name = "主要负责人")
    private String charger;

    /** 主要负责人电话 */
    @Excel(name = "主要负责人电话")
    private String chargerPhone;

    /** 安全负责人 */
    @Excel(name = "安全负责人")
    private String secCharger;

    /** 安全负责人电话 */
    @Excel(name = "安全负责人电话")
    private String secChargerPhone;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 属地监管人员 */
    @Excel(name = "属地监管人员")
    private String management;

    /** 区县行业主管部门 */
    @Excel(name = "区县行业主管部门")
    private String industryManagement;

    /** 区县行业主管部门 */
    @Excel(name = "邮箱")
    private String email;

    private double juli;


    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public double getJuli() {
        return juli;
    }

    public void setJuli(double juli) {
        this.juli = juli;
    }


    public void setDeleteBy(String deleteBy)
    {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy()
    {
        return deleteBy;
    }
    public void setDeleteTime(Date deleteTime)
    {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime()
    {
        return deleteTime;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setEnterpriseAddress(String enterpriseAddress)
    {
        this.enterpriseAddress = enterpriseAddress;
    }

    public String getEnterpriseAddress()
    {
        return enterpriseAddress;
    }
    public void setEnterpriseWorkaddress(String enterpriseWorkaddress)
    {
        this.enterpriseWorkaddress = enterpriseWorkaddress;
    }

    public String getEnterpriseWorkaddress()
    {
        return enterpriseWorkaddress;
    }
    public void setOrganizationCode(String organizationCode)
    {
        this.organizationCode = organizationCode;
    }

    public String getOrganizationCode()
    {
        return organizationCode;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setCharger(String charger)
    {
        this.charger = charger;
    }

    public String getCharger()
    {
        return charger;
    }
    public void setChargerPhone(String chargerPhone)
    {
        this.chargerPhone = chargerPhone;
    }

    public String getChargerPhone()
    {
        return chargerPhone;
    }
    public void setSecCharger(String secCharger)
    {
        this.secCharger = secCharger;
    }

    public String getSecCharger()
    {
        return secCharger;
    }
    public void setSecChargerPhone(String secChargerPhone)
    {
        this.secChargerPhone = secChargerPhone;
    }

    public String getSecChargerPhone()
    {
        return secChargerPhone;
    }
    public void setLongitude(String longitude)
    {
        this.longitude = longitude;
    }

    public String getLongitude()
    {
        return longitude;
    }
    public void setLatitude(String latitude)
    {
        this.latitude = latitude;
    }

    public String getLatitude()
    {
        return latitude;
    }
    public void setManagement(String management)
    {
        this.management = management;
    }

    public String getManagement()
    {
        return management;
    }
    public void setIndustryManagement(String industryManagement)
    {
        this.industryManagement = industryManagement;
    }

    public String getIndustryManagement()
    {
        return industryManagement;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deleteBy", getDeleteBy())
                .append("deleteTime", getDeleteTime())
                .append("dataStatus", getDataStatus())
                .append("enterpriseName", getName())
                .append("enterpriseAddress", getEnterpriseAddress())
                .append("enterpriseWorkaddress", getEnterpriseWorkaddress())
                .append("organizationCode", getOrganizationCode())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("charger", getCharger())
                .append("chargerPhone", getChargerPhone())
                .append("secCharger", getSecCharger())
                .append("secChargerPhone", getSecChargerPhone())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("management", getManagement())
                .append("industryManagement", getIndustryManagement())
                .toString();
    }
}
