package com.sooka.sponest.mobile.emergency.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyPatrolrecord;
import com.sooka.sponest.mobile.emergency.domain.CenterdataTEmergencyEnterindesmap;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyInspectionrecord;

public interface AppEmergencyService {

    public TableDataInfo appComplayList(Integer pageNum, Integer pageSize, CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap);

    public AjaxResult appComplayById(String id);

    /**
     * 应急-巡检详情
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    public AjaxResult getInspectionrecordInfo(String id);

    /**
     * 应急-新增巡更记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    public AjaxResult addPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);


    /**
     * 应急-查询巡检记录
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    public AjaxResult appSelectRecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 应急-查询巡检模板
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    public AjaxResult selectTBasicEnterpriseByentErpriseMessage(CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap);

    /**
     * 应急-查询巡检模板
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    public AjaxResult insertCentereventTEmergencyInspectionrecordMessage(CentereventTEmergencyInspectionrecordBody centereventTEmergencyInspectionrecordBody);

    public AjaxResult selectCentereventTEmergencyInspectionrecordMessageList(CentereventTEmergencyInspectionrecordBdody centereventTEmergencyInspectionrecordBdody);
}
