package com.sooka.sponest.mobile.event.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-09-19 16:17
 **/
@Data
public class CenterTaskAppTaskBO
{
    private static final long serialVersionUID = 1L;

    List<CenterTaskAppTaskBO.CenterTaskTaskDept> data;
    @Getter
    @Setter
    public static class CenterTaskTaskDept{
        //任务id
        private String taskId;
        //任务标题
        private String taskTitle;
        //任务发起人
        private String sendPersonName;
        //任务发起时间
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date taskSendTime;
        //事件Code
        private String eventCode;
        //任务状态
        private String taskDeptStatus;
        //任务状态（汉字）
        private String taskDeptStatusValue;
        //任务部门id
        private Long taskDeptId;
        //任务部门名称
        private String taskDeptName;
        private String eventName;
        //任务来源
        private String taskSource;
        //任务来源(汉字)
        private String taskSourceValue;
        //是否催办
        private String isUrged;
    }

}
