package com.sooka.sponest.mobile.event.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-09-09 08:56
 **/
@Data
@ApiModel(description = "可视化拒绝任务入参实体类对象")

public class RefusedTaskVO
{
    private static final long serialVersionUID = 1L;

    //任务id
    @ApiModelProperty(value = "任务部门id", required = false)
    @NotBlank(message = "任务部门id不能为空")
    private String taskId;
    //所属部门
    @ApiModelProperty(value = "所属部门", required = false)
    @NotBlank(message = "所属部门不能为空")
    private List<CenterTaskTaskDept> centerTaskTaskDepts;
    @ApiModelProperty(value = "事件编码", required = false)
    private String  eventCode;
}
