package com.sooka.sponest.mobile.event.service;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.event.domain.AppEventSalBO;
import com.sooka.sponest.mobile.event.domain.AppEventSalVO;
import com.sooka.sponest.mobile.event.domain.AppEventTypeBO;

import java.util.List;

public interface AppEventService {

    R<List<AppEventSalBO>> eventFindAll(AppEventSalVO vo);


    List<AppEventTypeBO> queryEventBySelect();


    List<AppEventTypeBO> queryEventSonBySelect(List<AppEventTypeBO> list, String parentId);

    /**
     * 手机端查看事件详情
     *
     * @param eventCode
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/21 13:51
     */
    AjaxResult queryEventDetail(String eventCode);

    AjaxResult selectCentereventTFireLogById(String id);

}
