package com.sooka.sponest.mobile.message.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.message.domain.AppMessageVO;

public interface AppMessageService {

    public AjaxResult list(AppMessageVO vo);

    /**
     * 手机端消息列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:27
     **/
    public AjaxResult listNotice(AppMessageVO vo);

    /**
     * 手机端消息详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 13:27
     **/
    public AjaxResult detail(AppMessageVO vo);

}
