package com.sooka.sponest.mobile.remoteapi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 企业巡检项目模板对象 centerdata_t_emergency_inspectionmodel
 * 
 * @author ruoyi
 * @date 2022-07-20
 */
public class CenterdataTEmergencyInspectionmodel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    /** 主键ID */
    private String id;

    /** 删除人 */
    @Excel(name = "删除人")
    private String deleteBy;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    /** 企业ID */
    @Excel(name = "企业ID")
    private String enterpriseId;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String inspectionitemId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String inspectionitemName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long owndeptid;

    /** 数据所属部门(政或党的id) */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long dataDeptId;


    public void setDeleteBy(String deleteBy) 
    {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy() 
    {
        return deleteBy;
    }
    public void setDeleteTime(Date deleteTime) 
    {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime() 
    {
        return deleteTime;
    }
    public void setDataStatus(String dataStatus) 
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() 
    {
        return dataStatus;
    }
    public void setEnterpriseId(String enterpriseId) 
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() 
    {
        return enterpriseId;
    }
    public void setInspectionitemId(String inspectionitemId) 
    {
        this.inspectionitemId = inspectionitemId;
    }

    public String getInspectionitemId() 
    {
        return inspectionitemId;
    }
    public void setInspectionitemName(String inspectionitemName) 
    {
        this.inspectionitemName = inspectionitemName;
    }

    public String getInspectionitemName() 
    {
        return inspectionitemName;
    }
    public void setOwndeptid(Long owndeptid)
    {
        this.owndeptid = owndeptid;
    }

    public Long getOwndeptid()
    {
        return owndeptid;
    }
    public void setDataDeptId(Long dataDeptId) 
    {
        this.dataDeptId = dataDeptId;
    }

    public Long getDataDeptId() 
    {
        return dataDeptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteBy", getDeleteBy())
            .append("deleteTime", getDeleteTime())
            .append("dataStatus", getDataStatus())
            .append("enterpriseId", getEnterpriseId())
            .append("inspectionitemId", getInspectionitemId())
            .append("inspectionitemName", getInspectionitemName())
            .append("owndeptid", getOwndeptid())
            .append("dataDeptId", getDataDeptId())
            .toString();
    }
}
