package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 重点工程对象 centerdata_t_key_projects
 *
 * @author ruoyi
 * @date 2023-04-23
 */
public class CenterdataTKeyProjects extends BaseBusinessEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 工程名称 */
            @Excel(name = "工程名称")
    private String projectName;

    /** 工程目标 */
            @Excel(name = "工程目标")
    private String projectTarget;

    /** 工程类型 */
            @Excel(name = "工程类型")
    private String projectType;

    /** 工程级别 */
            @Excel(name = "工程级别")
    private String projectLevel;

    /** 建设单位 */
            @Excel(name = "建设单位")
    private String constructionUnit;

    /** 负责人 */
            @Excel(name = "负责人")
    private String principal;
            /**
             * 图片地址
             */
     private  String photoId;

    /** 联系电话 */
            @Excel(name = "联系电话")
    private String phone;

    /** 建设地点 */
            @Excel(name = "建设地点")
    private String constructionSite;

    /** 建筑面积 */
            @Excel(name = "建筑面积")
    private String constructionArea;

    /** 经度 */
            @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
            @Excel(name = "纬度")
    private String latitude;

    /** 所属分类 */
            @Excel(name = "所属分类")
    private String cameraSystem;

    /** 所属部门id */
            @Excel(name = "所属部门id")
    private String deptId;

    /** 工程简介 */
            @Excel(name = "工程简介")
    private String introduction;

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setProjectName(String projectName)
            {
            this.projectName = projectName;
            }

    public String getProjectName()
            {
            return projectName;
            }
    public void setProjectTarget(String projectTarget)
            {
            this.projectTarget = projectTarget;
            }

    public String getProjectTarget()
            {
            return projectTarget;
            }
    public void setProjectType(String projectType)
            {
            this.projectType = projectType;
            }

    public String getProjectType()
            {
            return projectType;
            }
    public void setProjectLevel(String projectLevel)
            {
            this.projectLevel = projectLevel;
            }

    public String getProjectLevel()
            {
            return projectLevel;
            }
    public void setConstructionUnit(String constructionUnit)
            {
            this.constructionUnit = constructionUnit;
            }

    public String getConstructionUnit()
            {
            return constructionUnit;
            }
    public void setPrincipal(String principal)
            {
            this.principal = principal;
            }

    public String getPrincipal()
            {
            return principal;
            }
    public void setPhone(String phone)
            {
            this.phone = phone;
            }

    public String getPhone()
            {
            return phone;
            }
            public void setPhotoId(String photoId)
            {
                this.photoId = photoId;
            }

            public String getPhotoId()
            {
                return photoId;
            }
    public void setConstructionSite(String constructionSite)
            {
            this.constructionSite = constructionSite;
            }

    public String getConstructionSite()
            {
            return constructionSite;
            }
    public void setConstructionArea(String constructionArea)
            {
            this.constructionArea = constructionArea;
            }

    public String getConstructionArea()
            {
            return constructionArea;
            }
    public void setLongitude(String longitude)
            {
            this.longitude = longitude;
            }

    public String getLongitude()
            {
            return longitude;
            }
    public void setLatitude(String latitude)
            {
            this.latitude = latitude;
            }

    public String getLatitude()
            {
            return latitude;
            }
    public void setCameraSystem(String cameraSystem)
            {
            this.cameraSystem = cameraSystem;
            }

    public String getCameraSystem()
            {
            return cameraSystem;
            }
    public void setDeptId(String deptId)
            {
            this.deptId = deptId;
            }

    public String getDeptId()
            {
            return deptId;
            }
    public void setIntroduction(String introduction)
            {
            this.introduction = introduction;
            }

    public String getIntroduction()
            {
            return introduction;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectName", getProjectName())
            .append("projectTarget", getProjectTarget())
            .append("projectType", getProjectType())
            .append("projectLevel", getProjectLevel())
            .append("constructionUnit", getConstructionUnit())
            .append("principal", getPrincipal())
            .append("phone", getPhone())
            .append("constructionSite", getConstructionSite())
            .append("constructionArea", getConstructionArea())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("cameraSystem", getCameraSystem())
            .append("deptId", getDeptId())
            .append("introduction", getIntroduction())
                .append("photoId", getPhotoId())
        .toString();
        }
        }
