package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-09-21 09:57
 **/
@Data
public class CommandCenterBO extends BaseBusinessEntity {

    // 部门id
    private String deptId;

    // 日期标记
    private String timeTag;

    // 关键字
    private String keyWord;
    private String pageNum;
    private String pageSize;

    private String park;
    private String projectName;
    private String territoriality;
    private String nature;
    //判断显示绑定摄像头字段
    private String state;
    private String startTime;
    private String year;

    private String administrativeRegion;

    @Override
    public String toString() {
        return "CommandCenterBO{" +
                "deptId='" + deptId + '\'' +
                ", timeTag='" + timeTag + '\'' +
                ", keyWord='" + keyWord + '\'' +
                ", pageNum='" + pageNum + '\'' +
                ", pageSize='" + pageSize + '\'' +
                ", params='" + getParams() + '\'' +
                '}';
    }
}
