package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.mobile.remoteapi.RemoteEventBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteEventBaseServiceCenterFactory implements FallbackFactory<RemoteEventBaseService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteEventBaseService create(Throwable cause) {
        System.out.println("evevt remote service error!!!");
        return null;
    }
}
