package com.sooka.sponest.mobile.system.camera.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Data;

import java.util.Map;

/**
 * 监测设备对象 centermonitor_t_monitoring_device
 *
 * @author ruoyi
 * @date 2023-03-14
 */
@Data
public class CentermonitorTMonitoringDevice extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 注释
     */
    private Long id;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 经度
     */
    private String longitude;

    /**
     * w纬度
     */
    private String latitude;

    /**
     * 所属部门ID
     */
    private String deptId;

    /**
     * 所属部门
     */
    private String deptName;

    /**
     * 工作状态
     */
    private String workingStatus;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 预警阈值
     */
    private Integer warnLine;

    /**
     * 负责人
     */
    private String charger;

    /**
     * 电话
     */
    private String chargerTel;

    /**
     * 备注
     */
    private String remark;

    /**
     * 可用系统
     */
    private String forSystem;

    /**
     * 该属性用于回显监控设备数据
     * */
    private Map<String, Object> data;

    private String cameraUse;

    private String type;

    private String requestType = "other";


}
