package com.sooka.sponest.mobile.system.camera.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(description = "可视化查询监控中心入参实体类对象")
public class VisuForestMonitorCenterVO extends BaseBusinessEntity {

    @ApiModelProperty(value = "部门id", required = false)
    private Long deptId;
    @ApiModelProperty(value = "设备id", required = false)
    private String deviceId;
    @ApiModelProperty(value = "设备类型", required = false)
    private String deviceType;
    @ApiModelProperty(value = "设备所属系统", required = false)
    private String type;
    @ApiModelProperty(value = "设备所属系统", required = false)
    private String deptProtype;
    /** 摄像头用途 */
    private String cameraUse;

    private String cameraName;

}
