package com.sooka.sponest.mobile.system.camera.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.system.camera.domain.AppCameraListBO;
import com.sooka.sponest.mobile.system.camera.domain.AppCameraVO;
import com.sooka.sponest.mobile.system.camera.domain.CentermonitorTCamera;
import com.sooka.sponest.mobile.system.camera.domain.VisuForestMonitorCenterVO;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public interface AppCameraService {
    /**
     * 附近摄像头列表
     * @Version 1.0
     * @return
     * @author wang_xy
     * @since 2023/2/22 10:47
     */
    public AjaxResult nearCamera(AppCameraVO appCameraVO);

    public AjaxResult newNearCamera(AppCameraVO appCameraVO);

    public AjaxResult listCamera(CentermonitorTCamera centermonitorTCamera);

    public AppCameraListBO detail(AppCameraVO appCameraVO);

    public AjaxResult getDahuaVideoServer();

    public List<LinkedHashMap> selectCameraByDeptId(VisuForestMonitorCenterVO vo) ;

    public AjaxResult getDlblistBydeptId(Long deptId,String broadcastUse, String name) ;
    public AjaxResult getSensorListByDeptId(Long deptId) ;

    AjaxResult selectCameraByIds(Map<String, Object> info);
}
