package com.sooka.sponest.mobile.zhsq.dbrw.domain;

import com.sooka.sponest.mobile.base.domain.AppBaseVO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class AppDbrwVO extends AppBaseVO {

    /** 主键id */
    private String id;

    /** 创建人姓名 */
    private String createName;

    /** 更新人姓名 */
    private String updateName;

    /** 数据状态(1-可用 2-不可用 ) */
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    private Long dataDeptId;

    /** 任务名称 */
    private String rwxpTitle;

    /** 任务内容 */
    private String rwxpContent;

    /** 附件 */
    private String rwxpFile;

    /** 部门ID */
    private Long rwxpDeptId;

    /** 状态 */
    private Integer rwxpState;

    /** 附件地址 */
    private String fileObject;

    /** 附件名称 */
    private String fileObjectName;

    /**下派组织ID集合*/
    private Long[] deptIds;

    /**下派组织名称集合*/
    private String[] deptNames;

    /*任务下派完成信息主键ID*/
    private String rwxpwcId;
    /*任务下派部门*/
    private Long deptId;
    /*任务状态*/
    private String rwxpwcState;
    /*完成时间*/
    private Date rwxpwcTime;
    /*任务下派的组织*/
    private String deptName;
    /*当前登录人ID*/
    private String userId;
    /*当前登录人deptID*/
    private Long userDeptId;
}
