package com.sooka.sponest.mobile.zhsq.fangjian.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppFangjianVO extends BaseBusinessEntity {

    /** 主键id */
    private String id;

    /** 数据创建人姓名 */
    private String createName;

    /** 数据操作标志 */
    private Boolean isOperable;

    /** 数据状态(1-可用 2-不可用 ) */
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    private Long dataDeptId;

    /** 小区主键ID */
    private String xqId;

    /** 小区名称 */
    private String xqName;

    /** 楼栋主键ID */
    private String ldId;

    /** 楼栋名称 */
    private String ldName;

    /** 单元主键ID */
    private String dyId;

    /** 单元名称 */
    private String dyName;

    /** 房间名称 */
    private String fjName;

    /** 所在楼层 */
    private String fjLc;

    /** 所在街道ID */
    private Long jdId;

    /** 所在街道名称 */
    private String jdName;

    /** 所在社区ID */
    private Long sqId;

    /** 所在社区名称 */
    private String sqName;

    /** 所在网格ID */
    private Long wgId;

    /** 所在网格名称 */
    private String wgName;

    /** 数据删除状态 */
    private Long delFlag;

    /** 是否是平房 */
    private String fjSfpf;

    /** 是否有地下室 */
    private String fjSfydxs;

    /** 地下室是否住人 */
    private String fjSfzr;

    /** 是否有危房 */
    private String fjSffw;

    /** 管理方式 */
    private String fjGlfs;

    /** 管理委员会情况 */
    private String fjWyh;

    /** 是否有违法建筑 */
    private String fjWfjz;

    /** 是否养殖有宠物 */
    private String fjSfcw;

    /** 是否养殖鸽子或鸡等禽畜 */
    private String fjSfgz;

    /** 是否为门市房 */
    private String fjSfmsf;

    /** 商户类型 */
    private String fjShlx;

    /** 餐饮业是否有高空排烟设备 */
    private String fjSfgkpy;

    /** 餐饮业是否有油烟净化器 */
    private String fjSfjhq;

    /** 是否烧炉子（煤/木头） */
    private String fjSfslz;

    /** 房间性质 */
    private String rfhFjxz;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;
}
