package com.sooka.sponest.mobile.zhsq.person.domain;

import com.sooka.sponest.mobile.base.domain.AppBaseVO;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特殊人群管理对象 centerdata_t_rfh_person_tsrq
 *
 * @author sooka
 * @date 2022-05-12
 */
@Getter
@Setter
public class AppTsrq extends AppBaseVO
{
    private static final long serialVersionUID = 1L;

    /** 人口信息主键ID */
    private String perId;

    /** 特殊人群字典主键ID */
    private Long tsrqId;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("perId", getPerId())
            .append("tsrqId", getTsrqId())
            .toString();
    }
}
