package com.sooka.sponest.mobile.zhsq.qiye.domain;

import com.sooka.sponest.mobile.utils.DictUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppQiyeDetail {

    /** 主键id */
    private String id;

    /** 企业名称 */
    private String qyName;

    /** 统一社会信用代码 */
    private String qyCode;

    /** 企业类别 */
    private String qyLeibie;
    private String qyLeibieLabel;
    public String getQyLeibieLabel(){
        return DictUtil.getLabel("rfh_qy_leibie", qyLeibie);
    }

    /** 地址 */
    private String qyAddress;

    /** 主要业务 */
    private String qyYewu;

    /** 法人姓名 */
    private String qyFrName;

    /** 法人电话 */
    private String qyFrTel;

    /** 联系人姓名 */
    private String qyLxrName;

    /** 联系人电话 */
    private String qyLxrTel;

    /** 企业规模 */
    private String qyGuimo;
    private String qyGuimoLabel;
    public String getQyGuimoLabel(){
        return DictUtil.getLabel("rfh_qy_guimo", qyGuimo);
    }

    /** 企业面积 */
    private String qyMianji;

    /** 建企时间 */
    private String qyShijian;

    /** 职工人数 */
    private String qyRenshu;

    /** 行业类别（大类） */
    private String qyTypeOne;
    private String qyTypeOneLabel;
    public String getQyTypeOneLabel(){
        return DictUtil.getLabel("qy_type_one", qyTypeOne);
    }

    /** 行业类别（中类） */
    private String qyTypeTwo;
    private String qyTypeTwoLabel;
    public String getQyTypeTwoLabel(){
        return DictUtil.getLabel(qyTypeOne, qyTypeTwo);
    }

    /** 登记注册类型 */
    private String qyType;
    private String qyTypeLabel;
    public String getQyTypeLabel(){
        return DictUtil.getLabel("rfh_qy_type", qyType);
    }

    /** 年运行天数 */
    private String qyDays;

    /** 近3年是否发生过环境突发事件 */
    private String qyTfsj;

    /** 近1年是否收到生态环境部门的行政处罚 */
    private String qyXzcf;

    /** 所在街道ID */
    private Long jdId;

    /** 所在街道名称 */
    private String jdName;

    /** 所在社区ID */
    private Long sqId;

    /** 所在社区名称 */
    private String sqName;

    /** 所在网格ID */
    private Long wgId;

    /** 所在网格名称 */
    private String wgName;

    /** 数据删除状态 */
    private Long delFlag;

    /** 所在小区ID */
    private String xqId;

    /** 所在小区名称 */
    private String xqName;

    /** 所在楼栋ID */
    private String ldId;

    /** 所在楼栋名称 */
    private String ldName;

    /** 所在单元ID */
    private String dyId;

    /** 所在单元名称 */
    private String dyName;

    /** 所在房间ID */
    private String fjId;

    /** 所在房间名称 */
    private String fjName;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;

}
