package com.sooka.sponest.mobile.zhsq.shijian.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianFenleiVO;
import com.sooka.sponest.mobile.zhsq.shijian.domain.AppShijianVO;

public interface AppShijianService {
    /**
     * 手机端事件查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:11
     **/
    public AjaxResult list(AppShijianVO vo);

    /**
     * 一级分类查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:04
     **/
    public AjaxResult listFenleiOne(AppShijianFenleiVO vo);

    /**
     * 二级分类查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:04
     **/
    public AjaxResult listFenleiTwo(AppShijianFenleiVO vo);

    /**
     * 三级分类查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/23 9:04
     **/
    public AjaxResult listFenleiThree(AppShijianFenleiVO vo);

    /**
     * 事件审核查询
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:36
     **/
    public AjaxResult listCheck(AppShijianVO vo);

    /**
     * 事件上报
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 17:07
     **/
    public AjaxResult add(AppShijianVO vo);


    /**
     * 事件审核同意或不同意
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 19:56
     **/
    public AjaxResult check(AppShijianVO vo);

    /**
     * 手机端事件详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 18:25
     **/
    public AjaxResult detail(AppShijianVO vo);

}
