package com.sooka.sponest.mobile.zhsq.shzz.domain;

import com.sooka.sponest.mobile.utils.DictUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppShzzDetail {

    /** 主键id */
    private String id;

    /** 社会组织名称 */
    private String shzzName;

    /** 统一信用社会代码 */
    private String shzzCode;

    /** 专职人员数量 */
    private String shzzZzsl;

    /** 兼职人员数量 */
    private String shzzJzsl;

    /** 党员数量 */
    private String shzzDysl;

    /** 预备党员数量 */
    private String shzzYbdysl;

    /** 建立党组织时间 */
    private String shzzJldzzsj;

    /** 地址 */
    private String shzzAddress;

    /** 联系电话 */
    private String shzzTel;

    /** 登记注册或备案机关 */
    private String shzzBajg;

    /** 业务主管部门 */
    private String shzzZgbm;

    /** 会员单位数量 */
    private String shzzHydw;

    /** 会员数量 */
    private String shzzHysl;

    /** 是否成立工会 */
    private String shzzSfclgh;
    private String shzzSfclghLabel;
    public String getShzzSfclghLabel(){
        return DictUtil.getLabel("sys_yes_no", shzzSfclgh);
    }

    /** 是否建立团组织 */
    private String shzzSfjltzz;
    private String shzzSfjltzzLabel;
    public String getShzzSfjltzzLabel(){
        return DictUtil.getLabel("sys_yes_no", shzzSfjltzz);
    }

    /** 所在街道ID */
    private String jdId;

    /** 所在街道名称 */
    private String jdName;

    /** 所在社区ID */
    private String sqId;

    /** 所在社区名称 */
    private String sqName;

    /** 所在网格ID */
    private String wgId;

    /** 所在网格名称 */
    private String wgName;

    /** 数据删除状态 */
    private Long delFlag;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;
}
