package com.sooka.sponest.mobile.zhsq.xcgj.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.xcgj.domain.App_ZhsqPatrolrecord_VO;
import com.sooka.sponest.mobile.zhsq.xcgj.domain.App_ZhsqXcgj_VO;
import com.sooka.sponest.mobile.zhsq.xcgj.service.AppXcgjService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

@Service
public class AppXcgjServiceImpl   implements AppXcgjService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    /**
     * 获取用户所在多部门
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:58
     **/
    @Override
    public AjaxResult getMultiCommunityDept() {
        Map sysUserCommunity = remoteDataBaseService.getMultiCommunityDept();
        return AjaxResult.success(sysUserCommunity.get("list"));
    }

    /**
     * 开始巡查
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:51
     **/
    @Override
    public AjaxResult addXunCha(App_ZhsqXcgj_VO vo) {
        return remoteDataBaseService.startXunCha(vo);
    }

    /**
     * 推送轨迹
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:50
     **/
    @Override
    public AjaxResult addGuiJi(App_ZhsqPatrolrecord_VO vo) {
        return remoteDataBaseService.addGuiJi(vo);
    }
}
