package com.sooka.sponest.mobile.appbigdata.domain.vo;

import com.sooka.sponest.data.api.base.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "数据中心大数据查询实体类对象",description = "数据中心大数据查询实体类对象")
public class ForestCloudMapVO extends BaseBusinessEntity {

    //部门ID
    @ApiModelProperty(value = "部门ID", required = false)
    private Long deptId;

    //查询日期 yyyy-mm-dd
    @ApiModelProperty(value = "查询日期 yyyy-mm-dd", required = false)
    private String day;

    //事件编码
    @ApiModelProperty(value = "事件编码", required = false)
    private String eventCode;

    @ApiModelProperty(value = "年月", required = false)
    private List yearMonth;

    @ApiModelProperty(value = "事件状态值", required = false)
    private String eventStatusValue;

    @ApiModelProperty(value = "事件类型大类", required = false)
    private String[] eventTypeIdDl;

    @ApiModelProperty(value = "事件类型小类", required = false)
    private String[] eventTypeId;

    @ApiModelProperty(value = "部门ids", required = false)
    private Long[] deptIds;

    @ApiModelProperty(value = "所属系统", required = false)
    private String availableSystem;
}
