package com.sooka.sponest.mobile.base.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;

/**
 * 水利巡查记录对象 centerdata_t_hydraulic_patrol_plan_record
 *
 * @author ruoyi
 * @date 2023-03-02
 */
@Data
public class CenterdataTHydraulicPatrolPlanRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    private String beginTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    private String endTime;

    /**
     * 巡查人员
     */
    private String userId;

    /**
     * 状态
     */
    private String status;


    /**
     * 任务ID
     */
    private String taskId;

    private String type;

}
