package com.sooka.sponest.mobile.base.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;

/**
 * 水利巡查任务对象 centerdata_t_hydraulic_patrol_task
 *
 * @author ruoyi
 * @date 2023-03-02
 */
@Data
public class CenterdataTHydraulicPatrolTask extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 计划名称
     */
    @Excel(name = "任务名称")
    private String taskName;

    /**
     * 所属计划
     */
    private String planId;

    /**
     * 计划名称
     */
    @Excel(name = "计划名称")
    private String planName;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 创建人名称
     */
    @Excel(name = "创建人名称")
    private String createName;

    /**
     * 更新人名称
     */
    @Excel(name = "更新人名称")
    private String updateName;

    /**
     * 数据状态
     */
    private String dataStatus;

    private String userId;

    private String type;


    private Integer pageNum;
    private Integer pageSize;


}
