package com.sooka.sponest.mobile.base.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;

/**
 * 轨迹对象 centerdata_t_hydraulic_track
 *
 * @author ruoyi
 * @date 2023-02-28
 */
@Data
public class CenterdataTHydraulicTrack extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 巡查记录ID
     */
    private String recordId;

}
