package com.sooka.sponest.mobile.base.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤打卡对象 sys_attendance
 *
 * @author ruoyi
 * @date 2022-08-01
 */
@Getter
@Setter
public class SysAttendance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 用户Id */
    @Excel(name = "用户Id")
    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("longitude", getLongitude())
                .append("createTime", getCreateTime())
            .append("latitude", getLatitude())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .toString();
    }
}
