package com.sooka.sponest.mobile.data.digitalagriculture.domain;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.ruoyi.common.redis.service.RedisService;
import com.ruoyi.common.security.service.TokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class VisuBaseService {

    @Value("${sooka.database.database_system:}")
    public String database_system;
    @Value("${sooka.database.database_event:}")
    public String database_event;
    @Value("${sooka.database.database_data:}")
    public String database_data;
    @Value("${sooka.database.database_monitor:}")
    public String database_monitor;

    public void setSookaDataBase(BaseBusinessEntity entity){
        entity.setDatabase_system(this.database_system);
        entity.setDatabase_event(this.database_event);
        entity.setDatabase_data(this.database_data);
        entity.setDatabase_monitor(this.database_monitor);
    }


    @Autowired
    TokenService tokenService;

    @Autowired
    private RedisService redisService;

}
