package com.sooka.sponest.mobile.data.digitalforestController;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.data.api.digitalforest.domain.Linleader;
import com.sooka.sponest.data.api.digitalforest.service.RemoteLinleaderService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppLinLeaderController")
public class LinLeaderController {


    @Resource
    RemoteLinleaderService remoteLinleaderService;

    /**
     * 获取林长列表
     *
     * @param linleader
     * @return
     */
    @GetMapping("/linleader/list")
    public AjaxResult linLeaderList(Linleader linleader) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String linGridName = linleader.getLinGridName();
        String linName = linleader.getLinName();
        String linPhone = linleader.getLinPhone();
        return AjaxResult.success(remoteLinleaderService.linLeaderList(pageNum, pageSize, linGridName,linName,linPhone).getRows());

    }
}
