package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppIndexVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteIndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/AppIndexController")
public class AppIndexController {

    @Autowired
    private RemoteIndexService appIndexService;

    @PostMapping("/getIndexPageData")
    public AjaxResult getIndexPageData(@RequestBody AppIndexVO vo){
        return appIndexService.getIndexPageData(vo);
    }


    @GetMapping("/getLateInspectionList")
    public AjaxResult getLateInspectionList(AppIndexVO vo){
        return appIndexService.getLateInspectionList();
    }
}
