package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppMaterialVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Collections;
import java.util.List;

@RestController
@RequestMapping("/AppMaterialController")
public class AppMaterialController {
    @Autowired
    private RemoteMaterialService materialService;

    @GetMapping("/geMaterialList")
    public AjaxResult geMaterialList(AppMaterialVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return materialService.geMaterialList(pageNum, pageSize);
    }
}
