package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppNoticeVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteNoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/AppNoticeController")
public class AppNoticeController {
    @Autowired
    private RemoteNoticeService noticeService;

    @GetMapping("/getNotice")
    public AjaxResult getNotice(AppNoticeVO vo){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        Map<String, Object> data = (Map<String, Object>) noticeService.noticlist(pageNum, pageSize).get("data");
        return AjaxResult.success(data.get("rows"));
    }
}
