package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppWarehouseVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteWarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/AppWarehouseController")
public class AppWarehouseController {
    @Autowired
    private RemoteWarehouseService warehouseService;


    @GetMapping("/getWarehouseList")
    public AjaxResult getWarehouseList(AppWarehouseVO vo){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String longitude = vo.getLongitude();
        String latitude = vo.getLatitude();
        return warehouseService.getWarehouseList(pageNum,pageSize,longitude,latitude);

    }
}
