package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppXunchaVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteXunchaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Collections;
import java.util.List;

@RestController
@RequestMapping("/AppXunchaController")
public class AppXunchaController {

    @Autowired
    private RemoteXunchaService xunchaService;

    @GetMapping("/getXunchaList")
    public AjaxResult getXunchaList(AppXunchaVO vo){

        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String busEnterpriseId = vo.getBusEnterpriseId();
        String busEnterpriseName = vo.getBusEnterpriseName();

        return xunchaService.getXunchaList(pageNum, pageSize, busEnterpriseId, busEnterpriseName);
    }
}
