package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppXunjianInspectionVO;
import com.sooka.sponest.mobile.data.emergency.domain.AppXunjianVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteXunjianService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/AppXunjianController")
public class AppXunjianController {

    @Autowired
    private RemoteXunjianService xunjianService;
    @PostMapping("/getXqzggzs2")
    public AjaxResult getXqzggzs2(@RequestBody AppXunjianVO vo) {
        return xunjianService.getXqzggzs2(vo);
    }

    @PostMapping("/getXunjianczData")
    public AjaxResult getXunjianczData(@RequestBody AppXunjianVO vo) {
        return xunjianService.getXunjianczData(vo);
    }

    @PostMapping("/getItemsLast")
    public AjaxResult getItemsLast(@RequestBody AppXunjianVO vo) {
        return xunjianService.getItemsLast(vo);
    }

    @PostMapping("/getXunjianItems")
    public AjaxResult getXunjianItems(@RequestBody AppXunjianVO vo) {
        return xunjianService.getXunjianItems(vo);
    }

    @PostMapping("/saveXunjianItems")
    public AjaxResult saveXunjianItems(@RequestBody AppXunjianVO vo) {
        return xunjianService.saveXunjianItems(vo);
    }

    @PostMapping("/getBusInspectionIsRiskByEnterpriseCount")
    public AjaxResult getBusInspectionIsRiskByEnterpriseCount(@RequestBody AppXunjianVO vo) {
        return xunjianService.getBusInspectionIsRiskByEnterpriseCount(vo);
    }

    @PostMapping("/changeInspection")
    public AjaxResult changeInspection(@RequestBody AppXunjianInspectionVO vo) {
        return xunjianService.changeInspection(vo);
    }

    @PostMapping("/deleteXunjianItem")
    public AjaxResult deleteXunjianItem(@RequestBody AppXunjianVO vo) {
        return xunjianService.deleteXunjianItem(vo);
    }

    @PostMapping("/getItems")
    public AjaxResult getItems(@RequestBody AppXunjianVO vo) {
        return xunjianService.getItems(vo);
    }


    @PostMapping("/submitXunjian")
    public AjaxResult submitXunjian(@RequestBody AppXunjianVO vo) {
        return xunjianService.submitXunjian(vo);
    }

    @GetMapping("/saveZGTZS")
    public AjaxResult saveZGTZS(@RequestParam("tel") String tel) {
        return AjaxResult.success(xunjianService.saveZGTZS(tel).getData());
    }
}
