package com.sooka.sponest.mobile.data.emergency.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.data.emergency.domain.AppXunjianimgVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteXunjianimgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/AppXunjianimgController")
public class AppXunjianimgController {
    @Autowired
    private RemoteXunjianimgService xunjianimgService;


    @GetMapping("/getXunjianimgList")
    public AjaxResult getXunjianimgList(AppXunjianimgVO vo){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String busLogId = vo.getBusLogId();
        String isPass = vo.getIsPass();
        return xunjianimgService.getXunjianimgList(pageNum,pageSize,busLogId, isPass);
    }
}
