package com.sooka.sponest.mobile.data.emergency.feign.factory;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.data.emergency.domain.AppEnterpriseVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteEnterpriseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @Author LG
 * @Date 2023/9/6 - 15:40
 */
public class RemoteEnterpriseServiceFallbackFactory implements FallbackFactory<RemoteEnterpriseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteEnterpriseServiceFallbackFactory.class);


    @Override
    public RemoteEnterpriseService create(Throwable cause) {

        return null;
    }
}
