package com.sooka.sponest.mobile.data.emergency.feign.factory;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppIndexVO;
import com.sooka.sponest.mobile.data.emergency.feign.service.RemoteIndexService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;

public class RemoteIndexServiceFallbackFactory implements FallbackFactory<RemoteIndexService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteIndexServiceFallbackFactory.class);


    @Override
    public RemoteIndexService create(Throwable cause) {

        return null;
    }
}
