package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteIndexServiceFallbackFactory;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteTeamServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "AppRemoteTeamService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteTeamServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteTeamService {
    @GetMapping("/AppTeamController/getTeamList")
    AjaxResult getTeamList(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize);
}
