package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.domain.AppTBusTrack;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteTrackServiceFallbackFactory;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteXunchaServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(
        contextId = "AppRemoteTrackService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteTrackServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteTrackService {

    @PostMapping("/track/addTrack")
    AjaxResult insertTBusTrack(@RequestBody AppTBusTrack tBusTrack);
}
