package com.sooka.sponest.mobile.data.emergency.feign.service;

import com.ruoyi.common.core.constant.ServiceNameConstants;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteIndexServiceFallbackFactory;
import com.sooka.sponest.mobile.data.emergency.feign.factory.RemoteXunjianimgServiceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "AppRemoteXunjianimgService",
        value = ServiceNameConstants.DATA_SERVICE,
        fallbackFactory = RemoteXunjianimgServiceFallbackFactory.class
        , url = "${sooka.service.data}"
)
public interface RemoteXunjianimgService {
    @GetMapping("/AppXunjianimgController/getXunjianimgList")
    AjaxResult getXunjianimgList(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize, @RequestParam("busLogId") String busLogId, @RequestParam("isPass") String isPass);
}
