package com.sooka.sponest.mobile.data.generalbusiness.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.data.generalbusiness.domain.AppDailyVO;

public interface AppDailyService {

    /**
     * 手机端添加日报
     *
     * @param appDailyVO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:29
     **/
    AjaxResult addDaily(AppDailyVO appDailyVO);

    /**
     * 手机端查询本人-本月 日报情况
     *
     * @param appDailyVO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:29
     **/
    AjaxResult queryDailyByMonth(AppDailyVO appDailyVO);

    /**
     * 手机端查询本人-指定日期 日报情况
     *
     * @param appDailyVO
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:29
     **/
    AjaxResult queryDailyByDay(AppDailyVO appDailyVO);

}
