package com.sooka.sponest.mobile.emergency.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyInspectionrecordBody;
import com.sooka.sponest.mobile.emergency.domain.CentereventTEmergencyPatrolrecord;
import com.sooka.sponest.mobile.emergency.service.AppEmergencyService;
import com.sooka.sponest.mobile.emergency.domain.CenterdataTEmergencyEnterindesmap;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.remoteapi.RemoteEventBaseService;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyInspectionrecord;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppEmergencyServiceImpl implements AppEmergencyService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    @Resource
    RemoteEventBaseService remoteEventBaseService;

    /**
     * 数字应急-企业列表
     *
     * @return
     * @Version 1.0
     * @author wang_xy
     * @since 2023/3/22 14:08
     */
    @Override
    public TableDataInfo appComplayList(Integer pageNum, Integer pageSize, CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap) {
        return remoteDataBaseService.appComplayList(pageNum, pageSize, centerdataTEmergencyEnterindesmap);
    }

    @Override
    public AjaxResult appComplayById(String id) {
        return AjaxResult.success(remoteDataBaseService.appComplayById(id).getData());
    }

    @Override
    public AjaxResult getInspectionrecordInfo(String id) {
        return remoteEventBaseService.getInspectionrecordInfo(id);
    }

    @Override
    public AjaxResult addPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord) {
        return remoteEventBaseService.addPatrolrecord(centereventTEmergencyPatrolrecord);
    }

    @Override
    public AjaxResult appSelectRecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return AjaxResult.success(remoteDataBaseService.appSelectRecord(centereventTEmergencyInspectionrecord).getData());
    }

    @Override
    public AjaxResult selectTBasicEnterpriseByentErpriseMessage(CenterdataTEmergencyEnterindesmap centerdataTEmergencyEnterindesmap) {
        return AjaxResult.success(remoteDataBaseService.selectTBasicEnterpriseByentErpriseMessage(centerdataTEmergencyEnterindesmap).getData());
    }

    @Override
    public AjaxResult insertCentereventTEmergencyInspectionrecordMessage(CentereventTEmergencyInspectionrecordBody centereventTEmergencyInspectionrecordBody) {
        return AjaxResult.success(remoteDataBaseService.insertCentereventTEmergencyInspectionrecordMessage(centereventTEmergencyInspectionrecordBody).getData());
    }

    @Override
    public AjaxResult selectCentereventTEmergencyInspectionrecordMessageList(CentereventTEmergencyInspectionrecordBdody centereventTEmergencyInspectionrecordBdody) {
        return AjaxResult.success(remoteDataBaseService.selectCentereventTEmergencyInspectionrecordMessageList(centereventTEmergencyInspectionrecordBdody).getData());
    }
}
