 package com.sooka.sponest.mobile.event.domain;

 import com.ruoyi.common.core.annotation.Excel;
 import com.sooka.sponest.mobile.base.domain.AppBaseBO;
 import org.apache.commons.lang3.builder.ToStringBuilder;
 import org.apache.commons.lang3.builder.ToStringStyle;

 /**
  * 附件对象 centerdata_t_attach
  *
  * @author ruoyi
  * @date 2022-06-11
  */
 public class AppDataTAttach extends AppBaseBO
 {
     private static final long serialVersionUID = 1L;

     /** 业务ID */
     @Excel(name = "业务ID")
     private String busId;

     /** 路径 */
     @Excel(name = "路径")
     private String attachPath;

     private String busSource;

     /** 业务类型（索引） */
     @Excel(name = "业务类型", readConverterExp = "索=引")
     private String busIndx;
     private String fileName;

     public String getFileName() {
         return fileName;
     }

     public void setFileName(String fileName) {
         this.fileName = fileName;
     }

     public void setBusId(String busId)
     {
         this.busId = busId;
     }

     public String getBusId()
     {
         return busId;
     }
     public void setAttachPath(String attachPath)
     {
         this.attachPath = attachPath;
     }

     public String getAttachPath()
     {
         return attachPath;
     }
     public void setBusIndx(String busIndx)
     {
         this.busIndx = busIndx;
     }

     public String getBusIndx()
     {
         return busIndx;
     }

     public String getBusSource() {
         return busSource;
     }

     public void setBusSource(String busSource) {
         this.busSource = busSource;
     }

     @Override
     public String toString() {
         return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
             .append("busId", getBusId())
             .append("attachPath", getAttachPath())
             .append("busIndx", getBusIndx())
             .toString();
     }
 }
