package com.sooka.sponest.mobile.event.domain;

import com.sooka.sponest.mobile.base.domain.AppBaseBO;
import com.sooka.sponest.mobile.remoteapi.domain.CenterdataTCamera;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class AppEventSalBO extends AppBaseBO {
    private String id;
    private String eventName;
    private String reportSource;
    private String reportTime;
    private String isUrged;
    private String eventType;
    private String eventTypeDl;
    private String eventDescription;
    private String eventStatus;
    private String fireRadius;
    private String longitude;
    private String latitude;
    private String attachPath;
    private String url;
    private String eventCode;
    private String reportor;
    private String eventStatusValue;
    private String mpfouRurl;
    private String code;
    private String eventTypeValue;
    private String address;
    //private AppAttachSal appAttachSal;
    private Map<String,Object> appAttachSal;
    private CenterdataTCamera centerdataTCamera;
    private List<AppDataTAttach> attachs = new ArrayList<AppDataTAttach>();
    private List<AppDataTAttach> attachsMpf = new ArrayList<AppDataTAttach>();
    private String escalation;
    private Long deptId;
    private String deptName;
    private String statusFlag;
    private String eventTypeXl;
    private String disableFlag;
    @Getter
    @Setter
    public static class AttachObject{
        String url;
    }


    @Getter
    @Setter
    public static class mpfouRurl{
        String mpfouRurl;
    }



}
