package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 摄像头对象 centerdata_t_camera
 *
 * @author ruoyi
 * @date 2022-05-13
 */
@Data
public class CenterdataTCamera extends BaseEntity {

    private List<CenterdataTCamera> list = new ArrayList<>();

    /**
     * 主键id
     */
    private String id;

    private String type;

    private String typeName;

    /**
     * 数据状态(1-可用 2-不可用 )
     */
    private String dataStatus;

    /**
     * 数据所属部门(政或党的id)
     */
    private Long dataDeptId;

    /**
     * 摄像头id
     */
    private String cameraId;

    /**
     * 摄像头名称
     */
    private String cameraName;

    /**
     * ip
     */
    private String cameraIp;

    /**
     * 端口
     */
    private Long cameraPort;

    /**
     * 账号
     */
    private String cameraAccount;

    /**
     * 密码
     */
    @Excel(name = "密码")
    private String cameraPasword;

    /**
     * 摄像头编码
     */
    private String cameraCode;

    /**
     * 摄像头厂家(海康、大华)
     */
    private String cameraFactory;

    /**
     * 所属区域
     */
    private String cameraRegion;

    /**
     * 半径
     */
    private Long cameraRadius;

    /**
     * 高度
     */
    private String height;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;

    /**
     * 摄像头类型
     */
    private String cameraType;

    /**
     * 摄像头距离
     */
    private String distance;
}
