package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;
@Data
public class CenterdataTKeyProjectsBody extends BaseEntity {
    /** 主键id */
    private String id;

    /** 工程名称 */
    @Excel(name = "工程名称")
    private String projectName;

    /** 工程目标 */
    @Excel(name = "工程目标")
    private String projectTarget;

    /** 工程类型 */
    @Excel(name = "工程类型")
    private String projectType;

    /** 工程级别 */
    @Excel(name = "工程级别")
    private String projectLevel;

    /** 建设单位 */
    @Excel(name = "建设单位")
    private String constructionUnit;

    /** 负责人 */
    @Excel(name = "负责人")
    private String principal;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 建设地点 */
    @Excel(name = "建设地点")
    private String constructionSite;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private String constructionArea;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 所属分类 */
    @Excel(name = "所属分类")
    private String cameraSystem;

    /** 所属部门id */
    @Excel(name = "所属部门id")
    private String deptId;
    /** 所属部门id */
    @Excel(name = "所属部门")
    private String deptName;

    /** 工程简介 */
    @Excel(name = "工程简介")
    private String introduction;
    /**
     * 图片地址
     */
    private  String photoId;
}
