package com.sooka.sponest.mobile.remoteapi.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.sooka.sponest.mobile.event.domain.CenterdataTAttach;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 安全隐患对象 centerevent_t_emergency_danger
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Data
public class CentereventTEmergencyDanger extends BaseBusinessEntity {

    /**
     * 主键ID
     */
    private String id;

    /**
     * 标题
     */
    private String dangerTitle;

    /**
     * 内容
     */
    private String dangerContent;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 来源
     */
    private String dangerSource;

    /**
     * 隐患状态
     */
    private String dangerStatus;
    private String dangerStatusLabel;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 地址
     */
    private String dangerAddress;

    /**
     * 隐患报告
     */
    private String dangerReport;

    /**
     * 是否上报应急局
     */
    private String isupyjj;

    /**
     * 数据状态(1-可用 2-不可用 )
     */
    private String dataStatus;

    private String deptId;// 所属部门

    private String deptName;// 所属部门

    List<CentereventTEmergencyDangerdeptmap> depts = new ArrayList<>();// 联动部门

    List<CenterdataTAttach> attachs = new ArrayList<>();// 图片

    private String telphone;// 企业安全负责人电话号

    private String createDate;// 日期，可视化查询参数
}
