package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.mobile.event.domain.AppCentereventTEventcatalogueVO;
import com.sooka.sponest.mobile.event.domain.CentereventTFireLog;
import com.sooka.sponest.mobile.remoteapi.RemoteCenterBaseService;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyDanger;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventTEmergencyDangerprocess;
import com.sooka.sponest.mobile.remoteapi.domain.CentereventtDeptEventBO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
public class RemoteBaseServiceCenterFactory implements FallbackFactory<RemoteCenterBaseService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteCenterBaseService create(Throwable cause) {
        log.error("事件中心-服务调用失败:{}", cause.getMessage());

        return new RemoteCenterBaseService() {

            @Override
            public AjaxResult listSJfl(@RequestParam("parentId") String parentId) {
                return null;
            }

            @Override
            public AjaxResult listHgjXl(String eventTypeValue) {
                return null;
            }

            @Override
            public AjaxResult addOpenFen(@RequestBody AppCentereventTEventcatalogueVO vo) {
                return null;
            }

            @Override
            public AjaxResult eventLogList(@RequestParam("pageNum") String pageNum, @RequestParam("pageSize") String pageSize, @RequestParam("eventCode") String eventCode) {
                return null;
            }

            @Override
            public AjaxResult eventLogAdd(CentereventTFireLog centereventTFireLog) {
                return null;
            }

            @Override
            public R EventFeignedit(CentereventtDeptEventBO centereventtDeptEventBO) {
                return null;
            }

            @Override
            public AjaxResult selectByeventCodeFeign(String eventCode) {
                return null;
            }

            @Override
            public R add(CentereventTFireLog centereventTFireLog) {
                return null;
            }

            @Override
            public R remotecentereventtdepteventList(String eventCode) {
                return null;
            }

            @Override
            public AjaxResult eventLogListAll(@RequestParam("eventCode") String eventCode) {
                return null;
            }
        };
    }
}
