package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteBaseServiceFallbackFactory implements FallbackFactory<RemoteDataBaseService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteDataBaseService create(Throwable cause) {
        log.error("数据中心-服务调用失败:{}", cause.getMessage());
        return null;
    }
}
