package com.sooka.sponest.mobile.remoteapi.factory;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.event.domain.CenterTaskSelectTaskVO;
import com.sooka.sponest.mobile.event.domain.CenterTaskTaskDeptVO;
import com.sooka.sponest.mobile.event.domain.ReceiveTaskVO;
import com.sooka.sponest.mobile.event.domain.RefusedTaskVO;
import com.sooka.sponest.mobile.remoteapi.RemoteTaskBaseService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteBaseServiceTaskFactory implements FallbackFactory<RemoteTaskBaseService> {


    @Override
    public RemoteTaskBaseService create(Throwable cause) {


        return new RemoteTaskBaseService() {

            public R select(CenterTaskSelectTaskVO vo){
                return null;
            }

            public R selectTaskDtpts(CenterTaskTaskDeptVO vo){
                return null;
            }

            public AjaxResult receiveTask(ReceiveTaskVO vo){
                return null;
            }

            public AjaxResult refusedTask(RefusedTaskVO vo){
                return null;
            }

            @Override
            public R selectReceivedTaskBO(CenterTaskSelectTaskVO vo) {
                return null;
            }

            @Override
            public R selectUnclaimedTaskBO(CenterTaskSelectTaskVO vo) {
                return null;
            }


        };

    }
}
