package com.sooka.sponest.mobile.system.config;

import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Date 2025/02/18
 */
@RestController
@RequestMapping("/config")
public class ConfigController {

    @Autowired
    private RemoteSystemBaseService remoteSystemBaseService;

    @GetMapping("/selectConfigKey")
    public R<String> selectConfigKey(String key) {
        return remoteSystemBaseService.selectConfigKey(key);
    }

    @GetMapping("/selectConfigMap")
    public R<Map<String, String>> selectConfigMap(@RequestParam("keys") List<String> keys) {
        return remoteSystemBaseService.remotegetConfigMap(keys);
    }
}
