package com.sooka.sponest.mobile.system.login.service;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.system.login.domain.AppLoginVO;
import com.sooka.sponest.mobile.system.login.domain.AppUpPwd;
import com.sooka.sponest.mobile.system.login.domain.SysMenuApp;

import javax.servlet.http.HttpServletRequest;

public interface AppLoginService {

    //登录
    public AjaxResult login(AppLoginVO appLoginVO);

    //获取秘钥
    public AjaxResult getPrivateKey(HttpServletRequest request);

    //通过用户名查询用户
    public AjaxResult deptselector(String userName);

    //获取可视化菜单信息
    public AjaxResult selectRoleMenuVisuTreest();

    AjaxResult getAppChildrenMenuOrButtonByParentId(SysMenuApp sysMenuApp);

    AjaxResult updatePwd(AppUpPwd appUpPwd);
}
