package com.sooka.sponest.mobile.system.mainpage.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.base.controller.AppBaseController;
import com.sooka.sponest.mobile.system.mainpage.service.AppMainPageService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppMainPageController")
public class AppMainPageController extends AppBaseController {
    @Resource
    AppMainPageService appMainPageService;

    /**
     * 手机端获取主页信息
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:43
     **/
    @ApiOperation(value = "获取主页信息", notes = "获取主页信息")
    @PostMapping("getMainPageInfo")
    public AjaxResult getMainPageInfo() {
        startPage();
        return appMainPageService.getMainPageInfo();
    }


}
