package com.sooka.sponest.mobile.system.menu;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Author LG
 * @Date 2023/10/8 - 14:12
 */
@RestController
@RequestMapping("/menu")
public class MenuController {

    @Resource
    RemoteSystemBaseService remoteSystemBaseService;

    @GetMapping("/getMenu")
    public AjaxResult getMenu(@RequestParam String parentId){
        return remoteSystemBaseService.getMenuListByParentId(parentId);
    }
}
