package com.sooka.sponest.mobile.system.version;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.mobile.remoteapi.RemoteSystemBaseService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("AppVersionController")
public class AppVersionController {

    @Resource
    RemoteSystemBaseService remoteSystemBaseService;

    /**
     * 手机端获取版本
     *
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 14:46
     **/
    @ApiOperation(value = "获取版本", notes = "获取版本")
    @PostMapping("getVersionInfo")
    public AjaxResult getVersionInfo(@RequestParam(value = "packageName", required = false) String packageName) {
        return remoteSystemBaseService.getVersionInfo(packageName);
    }
}
