package com.sooka.sponest.mobile.zhsq.dbrw.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.PageDomain;
import com.ruoyi.common.core.web.page.TableSupport;
import com.sooka.sponest.mobile.remoteapi.RemoteDataBaseService;
import com.sooka.sponest.mobile.zhsq.dbrw.domain.AppDbrwVO;
import com.sooka.sponest.mobile.zhsq.dbrw.service.AppDbrwService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppDbrwServiceImpl implements AppDbrwService {

    @Resource
    RemoteDataBaseService remoteDataBaseService;

    /**
     * 待办任务列表
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:23
     **/
    @Override
    public AjaxResult list(AppDbrwVO vo) {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        return remoteDataBaseService.listDbrw(pageNum, pageSize, vo);
    }

    /**
     * 待办任务详情
     *
     * @param vo
     * @return com.ruoyi.common.core.web.domain.AjaxResult
     * @author pengyu
     * @date 2023/2/22 16:25
     **/
    @Override
    public AjaxResult detail(AppDbrwVO vo) {
        return remoteDataBaseService.detailDbrw(vo);
    }
}
