package com.sooka.sponest.mobile.zhsq.fangjian.domain;

import com.sooka.sponest.mobile.utils.DictUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppFangjianDetail {

    /** 主键id */
    private String id;

    /** 数据创建人姓名 */
    private String createName;

    /** 小区主键ID */
    private String xqId;

    /** 小区名称 */
    private String xqName;

    /** 楼栋主键ID */
    private String ldId;

    /** 楼栋名称 */
    private String ldName;

    /** 单元主键ID */
    private String dyId;

    /** 单元名称 */
    private String dyName;

    /** 房间名称 */
    private String fjName;

    /** 所在楼层 */
    private String fjLc;

    /** 所在街道ID */
    private Long jdId;

    /** 所在街道名称 */
    private String jdName;

    /** 所在社区ID */
    private Long sqId;

    /** 所在社区名称 */
    private String sqName;

    /** 所在网格ID */
    private Long wgId;

    /** 所在网格名称 */
    private String wgName;

    /** 是否是平房 */
    private String fjSfpf;
    private String fjSfpfLabel;
    public String getFjSfpfLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfpf);
    }

    /** 是否有地下室 */
    private String fjSfydxs;
    private String fjSfydxsLabel;
    public String getFjSfydxsLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfydxs);
    }

    /** 地下室是否住人 */
    private String fjSfzr;
    private String fjSfzrLabel;
    public String getFjSfzrLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfzr);
    }

    /** 是否有危房 */
    private String fjSffw;
    private String fjSffwLabel;
    public String getFjSffwLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSffw);
    }

    /** 管理方式 */
    private String fjGlfs;
    private String fjGlfsLabel;
    public String getFjGlfsLabel(){
        return DictUtil.getLabel("rfh_fj_glfs", fjGlfs);
    }

    /** 管理委员会情况 */
    private String fjWyh;
    private String fjWyhLabel;
    public String getFjWyhLabel(){
        return DictUtil.getLabel("rfh_fj_wyh", fjWyh);
    }

    /** 是否有违法建筑 */
    private String fjWfjz;
    private String fjWfjzLabel;
    public String getFjWfjzLabel(){
        return DictUtil.getLabel("sys_yes_no", fjWfjz);
    }

    /** 是否养殖有宠物 */
    private String fjSfcw;
    private String fjSfcwLabel;
    public String getFjSfcwLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfcw);
    }

    /** 是否养殖鸽子或鸡等禽畜 */
    private String fjSfgz;
    private String fjSfgzLabel;
    public String getFjSfgzLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfgz);
    }

    /** 是否为门市房 */
    private String fjSfmsf;
    private String fjSfmsfLabel;
    public String getFjSfmsfLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfmsf);
    }

    /** 商户类型 */
    private String fjShlx;
    private String fjShlxLabel;
    public String getFjShlxLabel(){
        return DictUtil.getLabel("rfh_fj_shlx", fjShlx);
    }

    /** 餐饮业是否有高空排烟设备 */
    private String fjSfgkpy;
    private String fjSfgkpyLabel;
    public String getFjSfgkpyLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfgkpy);
    }

    /** 餐饮业是否有油烟净化器 */
    private String fjSfjhq;
    private String fjSfjhqLabel;
    public String getFjSfjhqLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfjhq);
    }

    /** 是否烧炉子（煤/木头） */
    private String fjSfslz;
    private String fjSfslzLabel;
    public String getFjSfslzLabel(){
        return DictUtil.getLabel("sys_yes_no", fjSfslz);
    }

    /** 房间性质 */
    private String rfhFjxz;
    private String rfhFjxzLabel;
    public String getRfhFjxzLabel(){
        return DictUtil.getLabel("rfh_fj_fjxz", rfhFjxz);
    }

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;
}
