package com.sooka.sponest.mobile.zhsq.person.domain;

import com.sooka.sponest.mobile.utils.DictUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppPersonBO {

    /** 主键id */
    private String id;

    /** 人员姓名 */
    private String perName;

    /** 性别 */
    private String perSex;
    private String perSexLabel;
    public String getPerSexLabel(){
        return DictUtil.getLabel("sys_user_sex", perSex);
    }

    /** 民族 */
    private String perNation;
    private String perNationLabel;
    public String getPerNationLabel(){
        return DictUtil.getLabel("rfh_per_mz", perNation);
    }

    /** 年龄 */
    private String perAge;

    /** 身份证号 */
    private String perIdcard;

    /** 联系方式 */
    private String perTel;

    /** 政治面貌 */
    private String perZzmm;
    private String perZzmmLabel;
    public String getPerZzmmLabel(){
        return DictUtil.getLabel("rfh_per_zzmm", perZzmm);
    }

    /** 文化程度 */
    private String perDegree;
    private String perDegreeLabel;
    public String getPerDegreeLabel(){
        return DictUtil.getLabel("rfh_per_whcd", perDegree);
    }

    /** 与房主关系 */
    private String perFzgx;
    private String perFzgxLabel;
    public String getPerFzgxLabel(){
        return DictUtil.getLabel("rfh_per_fzgx", perFzgx);
    }

    /** 是否空挂 */
    private String perSfkg;
    private String perSfkgLabel;
    public String getPerSfkgLabel(){
        return DictUtil.getLabel("sys_yes_no", perSfkg);
    }

    /** 与户主关系 */
    private String perHzgx;
    private String perHzgxLabel;
    public String getPerHzgxLabel(){
        return DictUtil.getLabel("rfh_per_hzgx", perHzgx);
    }

    /** 户籍地址 */
    private String perHj;

    /** 工作单位 */
    private String perDw;

    /** 是否一汽退休老干部 */
    private String perYqtx;
    private String perYqtxLabel;
    public String getPerYqtxLabel(){
        return DictUtil.getLabel("sys_yes_no", perYqtx);
    }

    /** 宗教集会场所 */
    private String perZjcs;

    /** 是否为人大代表或委员 */
    private String perRddb;
    private String perRddbLabel;
    public String getPerRddbLabel(){
        return DictUtil.getLabel("sys_yes_no", perRddb);
    }

    /** 流动属性 */
    private String perLdsx;
    private String perLdsxLabel;
    public String getPerLdsxLabel(){
        return DictUtil.getLabel("rfh_per_ldsx", perLdsx);
    }

    /** 房间主键ID */
    private String fjId;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;
}
