package com.sooka.sponest.mobile.zhsq.person.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppPersonVO extends BaseBusinessEntity {

    /**
     * 基础信息
     */

    /** 主键id */
    private String id;

    /** 人员id */
    private String perId;

    /** 特殊人群组 */
    private String tsrqIdsStr;

    /** 数据状态(1-可用 2-不可用 ) */
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    private Long dataDeptId;

    /** 人员姓名 */
    private String perName;

    /** 性别 */
    private String perSex;

    /** 民族 */
    private String perNation;

    /** 年龄 */
    private String perAge;

    /** 身份证号 */
    private String perIdcard;

    /** 联系方式 */
    private String perTel;

    /** 政治面貌 */
    private String perZzmm;

    /** 文化程度 */
    private String perDegree;

    /** 与房主关系 */
    private String perFzgx;

    /** 是否空挂 */
    private String perSfkg;

    /** 与户主关系 */
    private String perHzgx;

    /** 户籍地址 */
    private String perHj;

    /** 工作单位 */
    private String perDw;

    /** 是否一汽退休老干部 */
    private String perYqtx;

    /** 宗教集会场所 */
    private String perZjcs;

    /** 是否为人大代表或委员 */
    private String perRddb;

    /** 流动属性 */
    private String perLdsx;

    /** 数据删除状态 */
    private Long delFlag;

    /** 数据删除审核状态 */
    private String perDelState;

    /** 房间主键ID */
    private String fjId;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;

    /**
     * 保险信息
     */

    /** 城职保是否参保 */
    private String bxCzbYanglaoSfcb;

    /** 城职保参保时间 */
    private String bxCzbYanglaoCbsj;

    /** 城职保是否享待 */
    private String bxCzbYanglaoSfxd;

    /** 城居保是否参保 */
    private String bxCjbYanglaoSfcb;

    /** 城居保参保时间 */
    private String bxCjbYanglaolCbsj;

    /** 城居保是否享待 */
    private String bxCjbYanglaoSfxd;

    /** 城镇职工医疗保险是否参保 */
    private String bxCzbYiliaoSfcb;

    /** 城镇职工医疗保险参保时间 */
    private String bxCzbYiliaoCbsj;

    /** 城镇职工医疗保险停保时间 */
    private String bxCzbYiliaoTbsj;

    /** 城镇居民医疗保险是否参保 */
    private String bxCjbYiliaoSfcb;

    /** 城镇居民医疗保险参保时间 */
    private String bxCjbYiliaoCbsj;

    /** 城镇居民医疗保险停保时间 */
    private String bxCjbYiliaoTbsj;

    /**
     * 残联信息
     */

    /** 残疾人证等级 */
    private String canjiCjz;

    /** 残疾种类 */
    private String canjiType;


    /** 是否享受重度残疾人补贴情况 */
    private String canjiBt;

    /** 是否居家关爱巡防对象 */
    private String canjiSfxf;

    /** 巡防频次 */
    private String canjiXfpc;

    /**
     * 低保信息
     */

    /** 是否重病 */
    private String dbSfzb;

    /** 是否重残 */
    private String dbSfzc;

    /** 现住地 */
    private String dbXzz;

    /** 家庭情况 */
    private String dbJt;

    /** 是否集中供养 */
    private String dbSfjzgy;

    /** 是否分散供养 */
    private String dbSffsgy;

    /** 监护人 */
    private String dbJhr;

    /** 监护人现住址 */
    private String dbJhrzz;

    /** 监护人与本人关系 */
    private String dbGx;

    /**
     * 计生信息
     */

    /** 初婚时间 */
    private String jsChsj;

    /** 再婚时间 */
    private String jsZhsj;

    /** 避孕措施 */
    private String jsBycs;

    /** 独生子女情况 */
    private String jsDsznqk;

    /** 扶助账号 */
    private String jsFzzh;

    /** 是否困难家庭妇女儿童 */
    private String jsSfkn;

    /** 是否孤儿 */
    private String jsSfge;

    /** 监护人 */
    private String jsJhr;

    /** 监护人与本人关系 */
    private String jsGx;

    /** 是否事实无抚养儿童 */
    private String jsSfsswfyet;

    /** 家庭情况 */
    private String jsJtqk;

    /**
     * 军人信息
     */

    /** 状态 */
    private String junrenState;

    /** 是否为优抚对象 */
    private String junrenSfyf;

    /** 优抚种类 */
    private String junrenYfzl;

    /**
     * 流动信息
     */

    /** 流入地址 */
    private String liudongLiuru;

    /** 流出地址 */
    private String liudongLiuchu;

    /** 流动类型 */
    private String liudongType;

    /** 备注 */
    private String liudongRemarks;

    /**
     * 老龄信息
     */

    /** 是否享受政府购买服务 */
    private String llrZfgm;

    /** 享受高龄津贴情况 */
    private String llrGljt;

    /** 是否空巢 */
    private String llrSfkc;

    /** 失能情况 */
    private String llrSnqk;

    /** 是否居家巡防重点对象 */
    private String llrSfzdxf;

    /** 家庭情况 */
    private String llrJtqk;

    /** 巡防频次 */
    private String llrXfpc;

    /**
     * 疫苗信息
     */

    /** 是否接种第一针 */
    private String ymOneIs;

    /** 第一针接种时间 */
    private String ymOneDate;

    /** 第一针疫苗种类 */
    private String ymOneType;

    /** 第一针接种地点 */
    private String ymOnePlace;

    /** 是否接种第二针 */
    private String ymTwoIs;

    /** 第二针接种时间 */
    private String ymTwoDate;

    /** 第二针接种疫苗种类 */
    private String ymTwoType;

    /** 第二针接种地点 */
    private String ymTwoPlace;

    /** 是否已接种第三针 */
    private String ymThreeIs;

    /** 第三针接种时间 */
    private String ymThreeDate;

    /** 第三针接种疫苗种类 */
    private String ymThreeType;

    /** 第三针接种地点 */
    private String ymThreePlace;
}
