package com.sooka.sponest.mobile.zhsq.shijian.domain;

import com.sooka.sponest.mobile.base.domain.AppBaseVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class AppShijianVO extends AppBaseVO {

    String event_id;
    String event_type_name;
    Long dept_id;
    Long parent_id;
    String parent_ids;

    /** 事件分类主键ID */
    Long event_type_id;
    /** 事件标题 */
    String event_title;
    /** 事件来源 */
    String event_laliyuan;
    /** 事件位置 */
    String event_address;
    /** 事件位置（GIS定位） */
    String event_position;
    String event_position_j;
    String event_position_w;
    /** 事件照片 */
    String event_file;
    public String getEvent_file(){
        if(event_file_array !=  null && event_file_array.size() > 0){
            String file = "";
            for (int i = 0; i < event_file_array.size(); i++) {
                file += event_file_array.get(i) + ",";
            }
            if(file.length() > 0){
                file = file.substring(0, file.length() - 1);
            }
            return file;
        }else {
            return null;
        }
    }
    List<String> event_file_array;
    /** 事件内容 */
    String event_content;
    /** 上报人ID */
    String event_sbr_id;
    /** 上报人姓名 */
    String event_sbr_name;
    /** 上报人部门ID */
    Long event_sbr_dept_id;
    /** 上报人部门名称 */
    String event_sbr_dept_name;
    /** 上报时间 */
    String event_sbsj;
    /** 事件状态 */
    String event_state;
    /** 核查人ID */
    Long event_hcr;
    /** 核查意见 */
    String event_hcyj;
    /** 核查时间 */
    String event_hcsj;
    /** 登录人ID */
    String user_id;
    /** 部门组 **/
    Long[] deptIds;
}
