package com.sooka.sponest.mobile.zhsq.xiaoqu.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppXiaoquVO extends BaseBusinessEntity {

    /** 主键id */
    private String id;

    /** 数据创建人姓名 */
    private String createName;

    /** 数据操作标志 */
    private Boolean isOperable;

    /** 数据状态(1-可用 2-不可用 ) */
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    private Long dataDeptId;

    /** 小区名称 */
    private String xqName;

    /** 小区位置 */
    private String xqAddress;

    /** 小区所在街道ID */
    private Long jdId;

    /** 小区所在街道名称 */
    private String jdName;

    /** 小区所在社区ID */
    private Long sqId;

    /** 小区所在社区名称 */
    private String sqName;

    /** 小区所在网格ID */
    private Long wgId;

    /** 小区所在网格名称 */
    private String wgName;

    /** 数据删除状态 */
    private Integer delFlag;

    /** 部门ID */
    private String deptId;

    /** 部门名称 */
    private String deptName;
}
